#!/bin/sh

# use this to change the verbosity in org.eclipse.net4j.util_*/config/log4j.xml
# from  <root>
#               <priority value="info"/>
# to    <root>
#               <priority value="debug"/>

searchDir=$1;
prioritySearch=$2
priorityTarget=$3

for f in `find $searchDir -name "log4j.xml"`; do 
  echo "Found: "$f; 
  grep -B1 "<priority value=\"$prioritySearch\"/>" $f >&2;
  echo -n "Replacing... "
  cat $f | sed "s/<priority value=\"$prioritySearch\"\/>/<priority value=\"$priorityTarget\"\/>/" > $f.out;
  mv $f.out $f;
  echo "done."
  grep -B1 "<priority value=\"$priorityTarget\"/>" $f >&2;
done
